LifecycleEvent (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.map, enum: LifecycleEvent

# Enum Class LifecycleEvent

java.lang.Object
java.lang.Enum<LifecycleEvent>
org.apache.cayenne.map.LifecycleEvent

All Implemented Interfaces:
  `Serializable, Comparable<LifecycleEvent>, Constable`

public enum LifecycleEvent extends Enum<LifecycleEvent>
Defines possible entity object lifecycle events. Cayenne notifies registered listeners and entity callback methods when such events occur during the object lifecycle.

Since:
  3.0

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `POST_ADD`
  `POST_LOAD`
  `POST_PERSIST`
  `POST_REMOVE`
  `POST_UPDATE`
  `PRE_PERSIST`
  `PRE_REMOVE`
  `PRE_UPDATE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LifecycleEvent`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LifecycleEvent[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### POST_ADD

    public static final LifecycleEvent POST_ADD

  - ### PRE_REMOVE

    public static final LifecycleEvent PRE_REMOVE

  - ### PRE_UPDATE

    public static final LifecycleEvent PRE_UPDATE

  - ### POST_PERSIST

    public static final LifecycleEvent POST_PERSIST

  - ### POST_REMOVE

    public static final LifecycleEvent POST_REMOVE

  - ### POST_UPDATE

    public static final LifecycleEvent POST_UPDATE

  - ### POST_LOAD

    public static final LifecycleEvent POST_LOAD

  - ### PRE_PERSIST

    public static final LifecycleEvent PRE_PERSIST

- ## Method Details

  - ### values

    public static LifecycleEvent[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LifecycleEvent valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null